Skip to content

Select theme

Create directory child

POST
/{organization}/projects/{projectId}/layer-directory/{nodeId}/children
curl --request POST \
--url https://app.civillo.com/api/v1/example/projects/1/layer-directory/example/children \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "New Directory", "layerId": 123 }'

Create a sub directory or layer assignment in a layer directory sub directory. You should provide the name property to create a directory OR the layer id property to create a layer assignment, not both.

organization
required
string

The organization nickname

projectId
required
integer

The project id

nodeId
required
string

The layer directory node id where you want to create a sub-directory or assign a layer

Media typeapplication/json
object
name

The name of the new directory

string
Example
New Directory
layerId

The id of the layer to assign

integer
Example
123

Successful response

Bad Request

Unauthorized

Forbidden